Bug 65931 - installer locks machine up when X11 does not launch
installer locks machine up when X11 does not launch
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-04 11:03 EDT by Alexander Stohr
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-10 02:12:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Stohr 2002-06-04 11:03:18 EDT
Description of Problem:
when installing in grafical mode and the X11 starup fails for some reason,
then the machines blocks.

Version-Release number of selected component (if applicable):
RedHat Linux 7.3 i386

How Reproducible:
in all mentioned cases

Steps to Reproduce:
1.  Install RH73
2.  specify a non present adapter or use an adapter that is not yet supported
3.  let installer run

Actual Results:
Machine blocks and freezes after X11 did terminate.

Expected Results:
The installer should offer textmode install when he detects that X11 startup did fail.

Additional Information:
This behaviour was found with an ATI FireGL 8800 grafics board.
It was recognized as a Radeon family board, but the default drivers did not run with it.
So far that i know, there are Linux drivers for that board availabel from the vendor of
the card.
Comment 1 Michael Fulbright 2002-06-04 11:07:40 EDT
Are you referring to the graphical installer failing to start the X server and
then start the installation program, or are you referring to getting X
configured after the installation is complete?
Comment 2 Alexander Stohr 2002-06-04 11:14:38 EDT
Its the installer itself.
I selected "<enter>" = "grafical install" first.
After launching that installer did fail,
i had too warm boot the wohle machine.

it takes some unneccessary 3 minutes
trough the BISO plus 1 extra minute for Linux
to restart to nearly the same point.
thats why i consider a lokup beeing bad.

In the second attempt with "text<enter>"
the installation worked that way.
Comment 3 Mike McLean 2003-01-02 14:00:15 EST
This bug has been inappropriately marked MODIFIED. Please review the bug life
cycle information at 
http://bugzilla.redhat.com/bugzilla/bug_status.cgi

Changing bug status to ASSIGNED.
Comment 4 Jeremy Katz 2003-01-10 02:12:16 EST
Our current release or beta should better support this video card, but until
then 'linux text' is the workaround I'd recommend.

Note You need to log in before you can comment on or make changes to this bug.